<nz-modal nzTitle="设置权限" [nzVisible]="isVisible" (nzOnCancel)="close()" (nzOnOk)="onOk()"
    [nzOkLoading]="loading" [nzCancelLoading]="loading">
    <ng-template nzModalContent>
        <nz-tree [nzData]="nodes" nzCheckable nzMultiple [nzTreeTemplate]="nzTreeTemplate"> </nz-tree>
    </ng-template>
</nz-modal>

<ng-template #nzTreeTemplate let-node let-origin="origin">
    <span style="display: inline-block;font-size: 12px;">{{ node.title }}</span>
    <div *ngIf="node.isLeaf && !origin.data.is_menu" style="display: inline-block;margin-left: 10px;">
        <app-role-permission-scope-select [(value)]="origin.data.scope" [disabled]="!node.isChecked"></app-role-permission-scope-select>
    </div>
</ng-template>